package example.service.impl;

import example.dao.CartDao;
import example.model.Computer;
import example.service.ICartService;

import java.util.List;

public class CartServiceImpl implements ICartService {

    CartDao cartDao = new CartDao();

    @Override
    public List<Computer> myCart(Integer userId) throws Exception {
        return cartDao.getCart(userId);
    }

    @Override
    public void addCart(int productId, int userId) throws Exception {
        cartDao.addCart(userId, productId);
    }

    @Override
    public void removeFromCart(int i, int id) throws Exception {
        cartDao.deleteCart(id, i);
    }
}
